Refinery::Core::Engine.routes.append do

  # Frontend routes
  namespace :libri do
    resources :libris, :only => [:index, :show]
  end

  # Admin routes
  namespace :libri, :path => '' do
    namespace :admin, :path => 'refinery/libri' do
      resources :libris, :except => :show do
        collection do
          post :update_positions
        end
      end
    end
  end

end
