module Refinery
  module Libri
    class LibrisController < ::ApplicationController

      before_filter :find_all_libris
      before_filter :find_page

      def index
        # you can use meta fields from your model instead (e.g. browser_title)
        # by swapping @page for @libri in the line below:
        present(@page)
      end

      def show
        @libri = Libri.find(params[:id])

        # you can use meta fields from your model instead (e.g. browser_title)
        # by swapping @page for @libri in the line below:
        present(@page)
      end

    protected

      def find_all_libris
        @libris = Libri.order('number ASC')
      end

      def find_page
        @page = ::Refinery::Page.where(:link_url => "/libris").first
      end

    end
  end
end
