class CreateLibriLibris < ActiveRecord::Migration

  def up
    create_table :refinery_libris do |t|
      t.string :title
      t.string :liber
      t.integer :number
      t.string :classification
      t.text :blurb
      t.text :published
      t.text :reception
      t.integer :cover_id
      t.integer :document_id
      t.integer :position

      t.timestamps
    end

  end

  def down
    if defined?(::Refinery::UserPlugin)
      ::Refinery::UserPlugin.destroy_all({:name => "refinerycms-libri"})
    end

    if defined?(::Refinery::Page)
      ::Refinery::Page.delete_all({:link_url => "/libri/libris"})
    end

    drop_table :refinery_libris

  end

end
